﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="loginfoModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Roles">
          <Key>
            <PropertyRef Name="RoleID" />
          </Key>
          <Property Name="RoleID" Type="int" Nullable="false" />
          <Property Name="RoleName" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="UserRoles">
          <Key>
            <PropertyRef Name="UserRolesID" />
          </Key>
          <Property Name="UserRolesID" Type="int" Nullable="false" />
          <Property Name="UserID" Type="int" Nullable="false" />
          <Property Name="RoleID" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Users">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="int" Nullable="false" />
          <Property Name="Username" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Password" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="FirstName" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="LastName" Type="varchar" MaxLength="50" />
          <Property Name="EmailID" Type="varchar" MaxLength="200" />
        </EntityType>
        <Association Name="FK_UserRoles_Roles">
          <End Role="Roles" Type="Self.Roles" Multiplicity="1" />
          <End Role="UserRoles" Type="Self.UserRoles" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Roles">
              <PropertyRef Name="RoleID" />
            </Principal>
            <Dependent Role="UserRoles">
              <PropertyRef Name="RoleID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_UserRoles_Users">
          <End Role="Users" Type="Self.Users" Multiplicity="1" />
          <End Role="UserRoles" Type="Self.UserRoles" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Users">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="UserRoles">
              <PropertyRef Name="UserID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="loginfoModelStoreContainer">
          <EntitySet Name="Roles" EntityType="Self.Roles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="UserRoles" EntityType="Self.UserRoles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Users" EntityType="Self.Users" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_UserRoles_Roles" Association="Self.FK_UserRoles_Roles">
            <End Role="Roles" EntitySet="Roles" />
            <End Role="UserRoles" EntitySet="UserRoles" />
          </AssociationSet>
          <AssociationSet Name="FK_UserRoles_Users" Association="Self.FK_UserRoles_Users">
            <End Role="Users" EntitySet="Users" />
            <End Role="UserRoles" EntitySet="UserRoles" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="loginfoModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Role">
          <Key>
            <PropertyRef Name="RoleID" />
          </Key>
          <Property Name="RoleID" Type="Int32" Nullable="false" />
          <Property Name="RoleName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="UserRoles" Relationship="Self.FK_UserRoles_Roles" FromRole="Roles" ToRole="UserRoles" />
        </EntityType>
        <EntityType Name="UserRole">
          <Key>
            <PropertyRef Name="UserRolesID" />
          </Key>
          <Property Name="UserRolesID" Type="Int32" Nullable="false" />
          <Property Name="UserID" Type="Int32" Nullable="false" />
          <Property Name="RoleID" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Role" Relationship="Self.FK_UserRoles_Roles" FromRole="UserRoles" ToRole="Roles" />
          <NavigationProperty Name="User" Relationship="Self.FK_UserRoles_Users" FromRole="UserRoles" ToRole="Users" />
        </EntityType>
        <EntityType Name="User">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="Int32" Nullable="false" />
          <Property Name="Username" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Password" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="FirstName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="LastName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="EmailID" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="UserRoles" Relationship="Self.FK_UserRoles_Users" FromRole="Users" ToRole="UserRoles" />
        </EntityType>
        <Association Name="FK_UserRoles_Roles">
          <End Role="Roles" Type="Self.Role" Multiplicity="1" />
          <End Role="UserRoles" Type="Self.UserRole" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Roles">
              <PropertyRef Name="RoleID" />
            </Principal>
            <Dependent Role="UserRoles">
              <PropertyRef Name="RoleID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_UserRoles_Users">
          <End Role="Users" Type="Self.User" Multiplicity="1" />
          <End Role="UserRoles" Type="Self.UserRole" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Users">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="UserRoles">
              <PropertyRef Name="UserID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="loginfoEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Roles" EntityType="Self.Role" />
          <EntitySet Name="UserRoles" EntityType="Self.UserRole" />
          <EntitySet Name="Users" EntityType="Self.User" />
          <AssociationSet Name="FK_UserRoles_Roles" Association="Self.FK_UserRoles_Roles">
            <End Role="Roles" EntitySet="Roles" />
            <End Role="UserRoles" EntitySet="UserRoles" />
          </AssociationSet>
          <AssociationSet Name="FK_UserRoles_Users" Association="Self.FK_UserRoles_Users">
            <End Role="Users" EntitySet="Users" />
            <End Role="UserRoles" EntitySet="UserRoles" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="loginfoModelStoreContainer" CdmEntityContainer="loginfoEntities">
          <EntitySetMapping Name="Roles">
            <EntityTypeMapping TypeName="loginfoModel.Role">
              <MappingFragment StoreEntitySet="Roles">
                <ScalarProperty Name="RoleID" ColumnName="RoleID" />
                <ScalarProperty Name="RoleName" ColumnName="RoleName" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="UserRoles">
            <EntityTypeMapping TypeName="loginfoModel.UserRole">
              <MappingFragment StoreEntitySet="UserRoles">
                <ScalarProperty Name="UserRolesID" ColumnName="UserRolesID" />
                <ScalarProperty Name="UserID" ColumnName="UserID" />
                <ScalarProperty Name="RoleID" ColumnName="RoleID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Users">
            <EntityTypeMapping TypeName="loginfoModel.User">
              <MappingFragment StoreEntitySet="Users">
                <ScalarProperty Name="UserID" ColumnName="UserID" />
                <ScalarProperty Name="Username" ColumnName="Username" />
                <ScalarProperty Name="Password" ColumnName="Password" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
                <ScalarProperty Name="EmailID" ColumnName="EmailID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>